import Ajax from '../../util/ajax'
import api from '../../util/api'

export default {
  namespaced: true,
  state: {
    result: [],
    user: {},
    mainInfo: {}
  },
  mutations: {
    updateState(state, payload) {
      Object.keys(payload).forEach(k => (state[k] = payload[k]))
    }
  },
  actions: {
    getBodyCheck (context, data) {
      return new Promise((resolve) => {
        Ajax({
          ...api.bodyCheck.bodyCheck
        }).then(res => {
          context.commit('setgymCardList', res)
          resolve(res)
        }).catch((err) => {
          reject(err)
        })
      })
    }
  }
}